let gulp = require('gulp'),
    sass = require('gulp-sass')(require('sass')),
    sassGlob = require('gulp-sass-glob'),
    autoprefixer = require('gulp-autoprefixer'),
    csscombx = require('gulp-csscombx')

// scss
gulp.task('scss', function () {

  return gulp.src('./sass/components/**/*.scss')
      .pipe(sassGlob())
      .pipe(csscombx())
      .pipe(gulp.dest('./sass/components'));

});

// sass
gulp.task('sass', function () {

  return gulp.src('./sass/*.scss')

      .pipe(sassGlob())
      .pipe(sass())
      .pipe(autoprefixer())
      .pipe(csscombx())
      .pipe(gulp.dest('./css'))

});

gulp.task('default', gulp.series('sass', function () {
    gulp.watch( './sass/**/*.scss', gulp.series('sass'));
}));
